<!DOCTYPE html>
<html lang="cs">

<head>
  <meta charset="UTF-8" />
  <meta name="description" content="ApolloNvim svoboda v programování...." />
  <meta name="keywords" content="ApolloNvim Distro Pluginy" />
  <meta name="author" content="Kankys" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <link rel="stylesheet" href="style.css" />
  <link rel="shortcut icon" href="img/icons8-rocket.gif" />
  <!--nav bar-->
  <script src="https://kit.fontawesome.com/0a43c6cd1f.js" crossorigin="anonymous"></script>
  <!--icons dark, go to up-->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" />
  <!--ubuntu fonts-->
  <style>
    @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
  </style>
  <title>ApolloNvim Pluginy</title>
</head>

<body>
  <header>
    <h1 class="title">🚀ApolloNvim Pluginy</h1>

    <!-- Terminal - navigation -->
    <nav class="navigation">
      <ul>
        <li><a href="index.php">Domů</a></li>
        <li><a href="install.php">Instalace</a></li>
        <li><a href="manuals.php">Návody</a></li>
      </ul>
    </nav>
    <div class="menu-icon">
      <!-- Ikona hamburger -->
      <i class="fa-solid fa-bars"></i>
      <!-- Ikona cross -->
      <!-- <i class="fa-solid fa-xmark"></i> -->
    </div>
  </header>
  <hr />

  <!--Začátek sekcí - co h2 sekce + fotogalerie-->
  <section class="content" id="welcome">

    <section id="plugin">
      <h2>Výběr pluginu v Lite Web 🚀 ApolloNvim Distro 2024</h2>
      <p>
        👉
        <a href="https://github.com/m4xshen/autoclose.nvim" target="_blank">Autoclosetag</a>
        nástroj pro uzavírání všech typů závorek a tagů.
      </p>
      <p>
        👉
        <a href="https://github.com/valsorym/scrooloose-nerdtree" target="_blank">NERDTree</a>
        vytvoří ti stromový postranní panel.
      </p>
      <p>
        👉
        <a href="https://github.com/neoclide/coc.nvim" target="_blank">Coc</a>
        manager pro instalování doplňků do Neovim.
      </p>
      <p>
        👉
        <a href="https://github.com/Exafunction/codeium.vim" target="_blank">Codeium</a>
        alternativa k GitHub Copilot, který si případně lehce také můžete
        doinstalovat.
      </p>
      <p>
        👉
        <a href="https://github.com/mhinz/vim-startify" target="_blank">Startify</a>
        alternativní uvítací obrazovka s pokaždé jiným IT mottem. Nemusí
        fungovat s některými terminály či NERDTree nastaveným spuštěním po
        startu.
      </p
      <p>
        👉
        <a href="https://github.com/preservim/nerdcommenter" target="_blank">NERD Commenter</a>
        plugin pro zakomentování a odkomentování kódu. Zde ho máme nastaven
        na
        <strong>Ctrl + k</strong>.
      </p>
      <p>
        👉
        <a href="https://wakatime.com/neovim" target="_blank">Wakatime</a>
        služba která je schopna měřit kolik času jste trávily při kódování
        na pc a i na kterém projektu. Služba se jednoduše propojí přes API.
        WakaTime najdeš
        <a href="https://wakatime.com/" target="_blank">zde</a>.
      </p>
      <p>
        👉
        <a href="https://github.com/junegunn/fzf.vim" target="_blank">fzf.vim</a>
        asynchronií vyhledávač souboru v projektu. Pro mnohé je toto
        vyhledávaní rychlejší než klasické stromové, chce to trochu času.
        Ale jak se dostane pod kůži vše ostatní Vám už přijde pomalé.
      </p>
      <p>
        👉
        <a href="https://github.com/Pocco81/auto-save.nvim" target="_blank">Auto-save</a>
        plugin pro automatické ukládání vašich souboru.
      </p>
    </section>
    <section id="coc">
      <h2>Coc extensions pro front-end:</h2>
      <p>👉 coc-todolist</p>
      <p>👉 coc-tailwindcss</p>
      <p>👉 coc-json</p>
      <p>👉 coc-html-css-support</p>
      <p>👉 coc-html</p>
      <p>👉 coc-emmet</p>
      <p>👉 coc-xml</p>
      <p>👉 coc-tsserver</p>
      <p>👉 coc-lsp-wl</p>
      <p>👉 coc-lit-html</p>
      <p>👉 coc-htmldjango</p>
      <p>👉 coc-css</p>
      <p>👉 coc-markdown-preview-enhanced</p>
      <p>👉 coc-markdownlint</p>
      <p>👉 coc-eslint</p>
    </section>
    <button onclick="scrollToTop()" id="scrollToTopBtn" title="Go to top">
      <i class="fas fa-arrow-up"></i>
    </button>
    <footer>
      Copyright &copy;
      <a href="https://git.archoslinux.cz/kankys" target="_blank">Lukáš Kaňka</a>
      2024
    </footer>
  </section>
  <script src="script.js"></script>
</body>

</html>

